_ocsd_pe_context Struct Reference
OpenCSD Library : Interfaces

`#include <ocsd_if_types.h>`

## Public Attributes

ocsd_sec_level | security_level
ocsd_ex_level | exception_level
uint32_t | context_id
uint32_t | vmid
struct {
uint32_t bits64:1
uint32_t ctxt_id_valid:1
uint32_t vmid_valid:1
uint32_t el_valid:1
}; |

## Detailed Description

Core(PE) context structure records current security state, exception level, VMID and ContextID for core.

Definition at line 406 of file ocsd_if_types.h.

## Member Data Documentation

## @30

struct { ... }

## bits64

uint32_t _ocsd_pe_context::bits64

1 if 64 bit operation

Definition at line 412 of file ocsd_if_types.h.

## context_id

uint32_t _ocsd_pe_context::context_id

context ID

Definition at line 409 of file ocsd_if_types.h.

## ctxt_id_valid

uint32_t _ocsd_pe_context::ctxt_id_valid

1 if context ID value valid

Definition at line 413 of file ocsd_if_types.h.

## el_valid

uint32_t _ocsd_pe_context::el_valid

1 if EL value is valid (ETMv4 traces EL, other protocols do not)

Definition at line 415 of file ocsd_if_types.h.

## exception_level

ocsd_ex_level _ocsd_pe_context::exception_level

exception level

Definition at line 408 of file ocsd_if_types.h.

## security_level

ocsd_sec_level _ocsd_pe_context::security_level

security state

Definition at line 407 of file ocsd_if_types.h.

## vmid

uint32_t _ocsd_pe_context::vmid

VMID

Definition at line 410 of file ocsd_if_types.h.

## vmid_valid

uint32_t _ocsd_pe_context::vmid_valid

1 if VMID value is valid

Definition at line 414 of file ocsd_if_types.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/opencsd/ocsd_if_types.h